---
- name: Request device details from Netbox
  # Using Netbox REST API to make a GET call for information of a host based on device ID
  uri:
    url: "{{ netbox_base_url }}/api/virtualization/virtual-machines/{{ device_id }}"
    method: GET
    validate_certs: no
    headers:
      Authorization: "Token {{ NETBOX_TOKEN }}"
      # Authorization: "Token {{ lookup('ansible.builtin.env', 'NETBOX_TOKEN') }}"
  register: device_id_result
  changed_when: false

- name: Debugging Before
  debug:
    msg: "The result: {{ device_id_result }}"
- name: Deliver output
  set_fact:
    netbox_device_info: "{{ device_id_result }}"
- name: Debugging After
  debug:
    msg: "The result: {{ netbox_device_info }}"